from datetime import datetime
from sqlalchemy import Column, Integer, String, Boolean, DateTime

from app.db.base import Base


class Todo(Base):
    """Todo model for storing task items."""
    
    __tablename__ = "todos"
    
    id = Column(Integer, primary_key=True, index=True)
    title = Column(String, index=True)
    description = Column(String, nullable=True)
    completed = Column(Boolean, default=False)
    created_at = Column(DateTime, default=datetime.utcnow)
    updated_at = Column(DateTime, default=datetime.utcnow, onupdate=datetime.utcnow)